import java.applet.Applet;
import java.awt.event.*;
import java.awt.*;
import java.awt.geom.*;

/*This is a basic class for a rectangular integer entry button*/

public class SelectWord {
    double x,y,w,h;
    String S;
    int on;
    Font FONT;

    /*rectangle*/

    public SelectWord(String S) {
	this.S=S;
    }

    public SelectWord(double x,double y,double w,double h,String S) {
	this.x=x;
	this.y=y;
	this.w=w;
	this.h=h;
        this.FONT=new Font("Helvetica",Font.PLAIN,15);
	this.S=S;
    }

    public int inside(Point p) {
        int test=0;
	if((p.x>x)&&(p.x<x+w)&&(p.y>y)&&(p.y<y+h)) test=1;
	return(test);
    }

    /* drawing methods */

    public void render(Graphics g,Color C1,Color C2,Color C3) {
	int n1=S.length();
	g.setColor(C1);
	g.fillRect((int)(x),(int)(y),(int)(w),(int)(h));

	if(on==1) g.setColor(C2);
	g.drawRect((int)(x),(int)(y),(int)(w),(int)(h));
	g.setColor(C3);
        g.setFont(FONT);
	g.drawString(S,(int)(x+3),(int)(y+h-2));
    }


    public int getLength() {
	return(S.length());
    }

    public void activate(Point X) {
	if(inside(X)==1) on=1;
	if(inside(X)==0) on=0;
    }

    public boolean modify(KeyEvent e) {
	if(on==0) return(false);
	int n=S.length();
        if (e.getKeyChar()==KeyEvent.VK_BACK_SPACE) {
	    if(n>0) S=S.substring(0,n-1);
        }
        int ch=(int)(e.getKeyChar()-'0');
        if ((ch>=-2)&&(ch<=74)){
	    if(n<12) S=S+e.getKeyChar();
        }
	return(true);
    }

}
